# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rulex-bin"
version = "0.4.5"
authors = ["Ludwig Stecher <ludwig.stecher@gmx.de>"]
description = "DEPRECATED: Use pomsky-bin instead. Compile rulex expressions, a new regular expression language"
homepage = "https://pomsky-lang.org"
readme = "README.md"
keywords = [
    "regexp",
    "regex",
    "rulex",
]
categories = [
    "text-processing",
    "command-line-utilities",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/rulex-rs/pomsky"

[[bin]]
name = "rulex"
path = "src/main.rs"

[dependencies.atty]
version = "0.2.14"

[dependencies.clap]
version = "3.1.0"
features = [
    "std",
    "derive",
    "wrap_help",
]
default-features = false

[dependencies.miette]
version = "4.2.1"
features = ["fancy"]

[dependencies.rulex]
version = "0.4.4"
features = [
    "dbg",
    "miette",
]

[dependencies.thiserror]
version = "1.0.30"
